/*
	CSS Syntax;

	selector{
		property: value;
	}
	
	Selector - determines which element will be the styling applied.

	property - selected styling  attribute to be modified 

	value - the modified value of the selected styling.

*/

/*
	Type Selector
		- targets element with the specified type/tag name.

*/

h1{
/* !important overrides the css specificity	*/
	color: black !important;
	text-align: center;
	font-size: 2rem;

}

/*
	Universal Selector (*)
		-targets all the elments
*/

*{
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*
	ID Selector (id attr)
		-targets elements according to its id. attribute
		- ideal for targeting unique elements.
*/

#zuitt-motto{
	letter-spacing: 5px;
}

/* 
	Class Selector (.class-name)
		- it targets elemnets according to the class attribute
		-ideally used for targeting multiple elements at once

 */

.offering-item{
	/*changes the text casing*/
	text-transform: uppercase;
}

/*
	Attributes Selector ([attribute] or tagname[attribute] or tagname[attribute="value"])
		- target elements with a specified element attribute.
*/

input[required]{
	width:90%;
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/*
	SELECTOR:
	- ID selector (Highest)
	- Class selector
	- Attribute selector
	- Type selector
	- Universal selector (Lowest)

	INCLUDING CSS
	- Inline Styling (Highest)
	- Internal Styling
	- External Styling (Lowest)
*/

/*CSS SELECTOR COMBINATORS*/
/*
	ADJACENT SIBLING SELECTOR (+)
		- select the sibling element that is "directly" after another specified elements.

*/

h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*
	Descendant Selector(Whitespace)
		-matches all elements that are descendants of a specified elements.
*/


/*
	General Sibling Selector (~)
		- select all elements that are next sibling of a specified element.
*/
h2 ~ a{
	text-decoration: none;
}

/*
	Child Selector (>)
		- Select all elements  that are direct children of a specified element.

*/

section > form > label{
	color: rgb(0,0,128);
}

/* Added Styling */

body{
	background-color: skyblue;
}
html{
	scroll-behavior: smooth;
}
nav{
	background-color: white;
}
/*

	selector:hover
		-psuedi class (changed the style when hovered over.)

*/
a:hover{
	background-color: #b4d6de;
}

div{
	display: inline-block;
	float:right;
}

section{
	height:100vh;
	text-align: center;
}
h2{
	font-size:1.5rem;
}
ol{
	list-style-type: none;
}

/*Register Section*/

form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height:185px;
	width: 25vw;
	position: relative;
	left: 37.25%;
}

button{
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}